Bug 205005 - [NEW PORT] Request to create lang/php70: PHP 7.0 released
Summary: [NEW PORT] Request to create lang/php70: PHP 7.0 released
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Martin Wilke
URL: https://github.com/johansglock/freebs...
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-12-04 03:05 UTC by Yonas Yanfa
Modified: 2016-02-15 20:36 UTC (History)
27 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yonas Yanfa 2015-12-04 03:05:08 UTC
PHP 7.0 was finally released today!

http://www.php.net/ChangeLog-7.php#7.0.0
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 13:23:27 UTC
This is a request for a new port, presumably lang/php70 for the 7.0.x branch releases of PHP.

lang/php56 is only for releases within the 5.6.x branch, modify issue Summary accordingly.

Reset Assignee as ale@ is not the maintainer of a non-yet-existent port. He *may* be interested in this issue, so add to CC.
Comment 2 Yonas Yanfa 2015-12-04 18:26:33 UTC
Thanks Kubilay.
Comment 3 fcsk.aim 2015-12-09 22:26:39 UTC
I'am waiting too for php70.
Thanks FreeBSD team. :
Comment 4 John Marino freebsd_committer 2015-12-14 15:42:00 UTC
Technically "request" PRs are discouraged and usually closed.  The documentation was altered to change the policy to submit PRs to "request" updates (or in this case, 100 new ports)

I would close this PR myself.  Isn't there a ports wish-list wiki somewhere?
Comment 5 John Marino freebsd_committer 2015-12-14 15:42:44 UTC
to clarify, the documentation was altered to say "don't do it".
Comment 6 Torsten Zühlsdorff 2015-12-14 16:17:37 UTC
(In reply to John Marino from comment #4)

> I would close this PR myself.  Isn't there a ports wish-list wiki somewhere?

Have a look here:
https://wiki.freebsd.org/WantedPorts
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-15 02:02:59 UTC
I think this is worth keeping open, given the popularity of the language/port and the number of people CC'd on it.
Comment 8 johans 2015-12-16 15:59:26 UTC
I've been keeping my own port of PHP7 since the early RC versions:
https://github.com/johansglock/freebsd-ports

To my knowledge only the current default options work as this was just a bit of a quick hack to get it working for myself, there is probably a lot wrong with this port :) Also I named it php7 rather then php70 back then.

Either way, this might provide a nice start in case anyone decides to take on this task.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-17 01:59:11 UTC
@Johans, Am I correct in understanding that php70-extensions still needs creating?
Comment 10 johans 2015-12-17 15:52:59 UTC
(In reply to Kubilay Kocak from comment #9)

Yeah, I left that one out on purpose. I was under the impression that the usage of that was outdated. But then again, I'm not an PHP port expert, so... :)

Like said, it's something that just I quickly added for myself. Probably a lot still wrong :)
Comment 11 johans 2015-12-17 15:55:35 UTC
Oh, but there are a lot of extensions there btw, they are just installed seperately rather then via php-extensions. This list is actively build on my machine:

archivers/php7-bz2
archivers/php7-phar
archivers/php7-zip
archivers/php7-zlib
converters/php7-iconv
converters/php7-mbstring
converters/php7-recode
databases/php7-dba
databases/php7-interbase
databases/php7-mysqli
databases/php7-odbc
databases/php7-pdo
databases/php7-pdo_dblib
databases/php7-pdo_firebird
databases/php7-pdo_mysql
databases/php7-pdo_odbc
databases/php7-pdo_pgsql
databases/php7-pdo_sqlite
databases/php7-pecl-memcached
databases/php7-pgsql
databases/php7-sqlite3
devel/php7-gettext
devel/php7-json
devel/php7-pcntl
devel/php7-readline
devel/php7-shmop
devel/php7-sysvmsg
devel/php7-sysvsem
devel/php7-sysvshm
devel/php7-tokenizer
ftp/php7-curl
ftp/php7-ftp
graphics/php7-exif
graphics/php7-gd
mail/php7-imap
math/php7-bcmath
math/php7-gmp
misc/php7-calendar
net-mgmt/php7-snmp
net/php7-ldap
net/php7-soap
net/php7-sockets
net/php7-xmlrpc
security/php7-filter
security/php7-hash
security/php7-mcrypt
security/php7-openssl
sysutils/php7-fileinfo
sysutils/php7-posix
textproc/php7-ctype
textproc/php7-dom
textproc/php7-pspell
textproc/php7-simplexml
textproc/php7-wddx
textproc/php7-xml
textproc/php7-xmlreader
textproc/php7-xmlwriter
textproc/php7-xsl
www/php7-opcache
www/php7-session
www/php7-tidy
Comment 12 Thierry Thomas freebsd_committer 2015-12-17 17:40:35 UTC
Please see also PR ports/198138 and PR ports/195973 in order to switch to new extensions for tidy and imap.
Comment 13 Raivo Hool 2015-12-18 07:20:02 UTC
devel/pecl-intl also refuses to build, but as far as I know, the functionality has been incorporated into mainline, and can be enabled by creating devel/php7-intl.

There are also a few pecl patches at https://github.com/remicollet/remirepo/tree/master/php/pecl
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-31 02:00:18 UTC
See Also:

Senta Limited PHP7 Ports repository:

https://github.com/SentaLtd/freebsd-php7-ports
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-12 09:01:54 UTC
Thanks for working on this Martin, Johans & Senta!
Comment 17 Martin Wilke freebsd_committer 2016-02-15 16:30:58 UTC
I've committed php70 an hour ago. Have fun guys!
Comment 18 Hans 2016-02-15 20:36:11 UTC
(In reply to Martin Wilke from comment #17)

Yay! This will be great.... Thanks for all your work - Awaiting the pre-compiled/pkgng version and ill be pushing this like a mad man...